SET DEFINE OFF;
whenever sqlerror exit sql.sqlcode ;

CREATE TABLE ACCORDS.CONTRAT_BROUILLARD (
    BRO_ID NUMBER NOT NULL,
    CON_ORDRE NUMBER NOT NULL
 );
 
COMMENT ON TABLE  ACCORDS.CONTRAT_BROUILLARD is 'table de jointure entre CONTRAT et MARACUJA.BROUILLARD';
COMMENT ON COLUMN ACCORDS.CONTRAT_BROUILLARD.CON_ORDRE is 'Cle etrangere table ACCORDS.CONTRAT';
COMMENT ON COLUMN ACCORDS.CONTRAT_BROUILLARD.BRO_ID is 'Cle etrangere table MARACUJA.BROUILLARD';

CREATE UNIQUE INDEX PK_CONTRAT_BROUILLARD ON ACCORDS.CONTRAT_BROUILLARD (CON_ORDRE, BRO_ID) LOGGING NOPARALLEL;
ALTER TABLE ACCORDS.CONTRAT_BROUILLARD ADD (CONSTRAINT PK_CONTRAT_BROUILLARD PRIMARY KEY (CON_ORDRE, BRO_ID));

GRANT REFERENCES on MARACUJA.BROUILLARD TO ACCORDS;
ALTER TABLE ACCORDS.CONTRAT_BROUILLARD ADD ( CONSTRAINT FK_CONTRAT_BROUILLARD_C_ORDRE FOREIGN KEY (CON_ORDRE) 
    REFERENCES ACCORDS.CONTRAT (CON_ORDRE) DEFERRABLE INITIALLY DEFERRED);
ALTER TABLE ACCORDS.CONTRAT_BROUILLARD ADD ( CONSTRAINT FK_CONTRAT_BROUILLARD_BRO_ID FOREIGN KEY (BRO_ID) 
    REFERENCES MARACUJA.BROUILLARD (BRO_ID) DEFERRABLE INITIALLY DEFERRED);
    
-- Maj de  la version 
Insert into ACCORDS.VERSION_HISTO (VH_ORDRE,VH_NUM,VH_DATE_EXEC,VH_LIBELLE) values (accords.VERSION_HISTO_SEQ.nextval,'2.1.0.5',to_date('11/04/2011','DD/MM/YYYY'),'Ajout table de jointure CONTRAT_BROUILLARD');
commit;